# Edit a legal entity

PATCH https://api.letsdeel.com/rest/v2/legal-entities/{id}
Content-Type: application/json

Update the details of an existing legal entity.
 **Token scopes**: `legal-entity:read`, `legal-entity:write`

Reference: https://developer.deel.com/api/endpoints/legal-entities/update-legal-entity

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /legal-entities/{id}:
    patch:
      operationId: update-legal-entity
      summary: Edit a legal entity
      description: |-
        Update the details of an existing legal entity.
         **Token scopes**: `legal-entity:read`, `legal-entity:write`
      tags:
        - subpackage_legalEntities
      parameters:
        - name: id
          in: path
          description: The ID of the legal entity to update.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully updated the legal entity.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/legal-entities_updateLegalEntity_Response_200
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditLegalEntityRequestBadRequestError'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Permission denied.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EditLegalEntityRequestForbiddenError'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the legal entity.
                phone:
                  type: string
                  description: The phone number of the legal entity.
                address:
                  $ref: >-
                    #/components/schemas/LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaAddress
                sic_number:
                  type: string
                  description: The SIC number of the legal entity.
                entity_type:
                  type: string
                  description: The type of the legal entity.
                industry_name:
                  type: string
                  description: The industry name of the legal entity.
                company_identifiers:
                  $ref: >-
                    #/components/schemas/LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaCompanyIdentifiers
                  description: Identifiers associated with the legal entity.
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaAddress:
      type: object
      properties:
        city:
          type: string
          description: The city.
        state:
          type: string
          description: The state.
        street:
          type: string
          description: The street address.
        country:
          type: string
          description: The ISO 2-letter country code.
      title: LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaAddress
    LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaCompanyIdentifiers:
      type: object
      properties:
        tax_number:
          type: string
          description: The tax identification number of the legal entity.
        registration_number:
          type: string
          description: The registration number of the legal entity.
      description: Identifiers associated with the legal entity.
      title: >-
        LegalEntitiesIdPatchRequestBodyContentApplicationJsonSchemaCompanyIdentifiers
    LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataAddress:
      type: object
      properties:
        city:
          type: string
          description: The city.
        state:
          type: string
          description: The state.
        street:
          type: string
          description: The street address.
        country:
          type: string
          description: The ISO 2-letter country code.
      title: LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataAddress
    LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataCompanyIdentifiers:
      type: object
      properties:
        tax_number:
          type: string
          description: The tax identification number of the legal entity.
        registration_number:
          type: string
          description: The registration number of the legal entity.
      title: >-
        LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataCompanyIdentifiers
    LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the legal entity.
        name:
          type: string
          description: The name of the legal entity.
        phone:
          type: string
          description: The phone number of the legal entity.
        address:
          $ref: >-
            #/components/schemas/LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataAddress
        sic_number:
          type: string
          description: The SIC number of the legal entity.
        entity_type:
          type: string
          description: The type of the legal entity.
        industry_name:
          type: string
          description: The industry name of the legal entity.
        company_identifiers:
          $ref: >-
            #/components/schemas/LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaDataCompanyIdentifiers
      title: LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaData
    legal-entities_updateLegalEntity_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/LegalEntitiesIdPatchResponsesContentApplicationJsonSchemaData
      title: legal-entities_updateLegalEntity_Response_200
    EditLegalEntityRequestBadRequestError:
      type: object
      properties:
        message:
          type: string
          description: Error message explaining what went wrong.
      title: EditLegalEntityRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    EditLegalEntityRequestForbiddenError:
      type: object
      properties:
        error:
          type: string
          description: Error message explaining why access is denied.
      title: EditLegalEntityRequestForbiddenError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/legal-entities/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```